rrs-commit: r50 - trunk

decibel at decibel.org decibel at decibel.org
Fri Mar 25 04:02:14 GMT 2005


Author: decibel
Date: Fri Mar 25 04:02:13 2005
New Revision: 50

Added:
   trunk/VERSION
   trunk/release.sh   (contents, props changed)
Log:
Add a release script

Added: trunk/VERSION
==============================================================================
--- (empty file)
+++ trunk/VERSION	Fri Mar 25 04:02:13 2005
@@ -0,0 +1 @@
+0.4

Added: trunk/release.sh
==============================================================================
--- (empty file)
+++ trunk/release.sh	Fri Mar 25 04:02:13 2005
@@ -0,0 +1,38 @@
+#!/bin/sh
+#
+# $Id$
+
+VERSION=`cat VERSION`
+RELEASE=rrs-$VERSION
+RELEASE_DIR=../release/$RELEASE
+TMP_DIR=~/tmp/rrs-$VERSION
+DOWNLOAD_DIR=~/rrs_html/download
+
+# Make sure ~/tmp exists
+mkdir -p ~/tmp
+
+svn cp * $RELEASE_DIR || exit 1
+ls -la $RELEASE_DIR
+
+read -p "Look ok? (y/N)" input
+if [ $input != [Yy] ]; then
+    exit
+fi
+
+svn ci -m "Release `cat VERSION`" $RELEASE_DIR || exit 1
+cp -R $RELEASE_DIR $TMP_DIR || exit 1
+cd $TMP_DIR || exit 1
+
+find . -type d -name .svn -exec rm {}\; || exit 1
+cd ..
+tar -czvf $RELEASE.tgz $RELEASE || exit 1
+echo md5: `cat $RELEASE.tgz | md5` > $RELEASE.tgz.md5 || exit 1
+
+chmod a+r $RELEASE.* || exit 1
+mv $RELEASE.* $DOWNLOAD_DIR || exit 1
+cd $DOWNLOAD_DIR
+ln -sf $RELEASE.tgz current.tgz
+ln -sf $RELEASE.tgz.md5 current.tgz.md5
+ls -la current.*
+
+# vi: expandtab ts=4 sw=4


More information about the rrs-commit mailing list